Loading...
Searching...
No Matches
sam_flag.hpp File Reference

Provides helper data structures for the seqan3::sam_file_output. More...

`#include <seqan3/core/add_enum_bitwise_operators.hpp>`
`#include <seqan3/core/debug_stream/debug_stream_type.hpp>`
Include dependency graph for sam_flag.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | seqan3::ref_info_not_given
| Type tag which indicates that no reference information has been passed to the SAM file on construction. More...
struct | seqan3::sam_flag_printer< sam_flag >
| A sam_flag can be printed as an integer value. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Enumerations

enum class

seqan3::sam_flag : uint16_t {
seqan3::sam_flag::none = 0 , seqan3::sam_flag::paired = 0x1 , seqan3::sam_flag::proper_pair = 0x2 , seqan3::sam_flag::unmapped = 0x4 ,
seqan3::sam_flag::mate_unmapped = 0x8 , seqan3::sam_flag::on_reverse_strand = 0x10 , seqan3::sam_flag::mate_on_reverse_strand = 0x20 , seqan3::sam_flag::first_in_pair = 0x40 ,
seqan3::sam_flag::second_in_pair = 0x80 , seqan3::sam_flag::secondary_alignment = 0x100 , seqan3::sam_flag::failed_filter = 0x200 , seqan3::sam_flag::duplicate = 0x400 ,
seqan3::sam_flag::supplementary_alignment = 0x800
}

| An enum flag that describes the properties of an aligned read (given as a SAM record). More...

## Detailed Description

Provides helper data structures for the seqan3::sam_file_output.

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me